Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs
Class QueueUrlHandler

    java.lang.Object
      com.amazonaws.services.sqs.QueueUrlHandler

All Implemented Interfaces:
  com.amazonaws.handlers.RequestHandler

    public class QueueUrlHandler

extends Object
implements com.amazonaws.handlers.RequestHandler

Custom request handler for SQS that processes the request before it gets routed to the client runtime layer.

SQS MessageQueue operations take a QueueUrl parameter that needs special handling to update the endpoint and resource path on the request before it's executed.

Constructor Summary
`QueueUrlHandler()`

Method Summary
`
`<T> Request<T>`
` | `handleRequest(Request<T> request)` Runs any additional processing logic on the specified request (before it is executed by the client runtime), then hands back the updated request object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueUrlHandler

    public QueueUrlHandler()

Method Detail

### handleRequest

    public <T> Request<T> handleRequest(Request<T> request)

  Description copied from interface: `com.amazonaws.handlers.RequestHandler`
  Runs any additional processing logic on the specified request (before it is executed by the client runtime), then hands back the updated request object.

  Specified by:
    `handleRequest` in interface `com.amazonaws.handlers.RequestHandler`
  Type Parameters:
    `T` - Indicates the parameterized type of the request being processed by this handler.
  Parameters:
    `request` - The request being processed by this handler.
  Returns:
    The updated request object.
  See Also:
    `RequestHandler.handleRequest(com.amazonaws.Request)`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.